﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\WTS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SHIFTAUTHORG') 
 CREATE TABLE T_WTS_SHIFTAUTHORG (
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FSHIFTGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SHIFTGROUP_L') 
 CREATE TABLE T_WTS_SHIFTGROUP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SHIFTENTRY_L') 
 CREATE TABLE T_WTS_SHIFTENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FSHIFTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SHIFTENTRY') 
 CREATE TABLE T_WTS_SHIFTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FSHIFTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIFTCOLOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_SHIFTGROUP') 
 CREATE TABLE T_WTS_SHIFTGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY VARCHAR(10) DEFAULT ' ' NOT NULL,
FAUTHSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_ROSTEROPSTAT') 
 CREATE TABLE T_WTS_ROSTEROPSTAT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FOPERATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTIMES INT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_ORGROSTER') 
 CREATE TABLE T_WTS_ORGROSTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,

FROSTERDATE DATETIME,
FISLOCK CHAR(1) DEFAULT ' ' NOT NULL,
FISCHANGE CHAR(1) DEFAULT ' ' NOT NULL,
FPLANCOMPLETE CHAR(1) DEFAULT ' ' NOT NULL,

FADMINORGID BIGINT DEFAULT 0 NOT NULL,

FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_PERSONROSTER') 
 CREATE TABLE T_WTS_PERSONROSTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FROSTERDATE DATETIME,
FISLOCK CHAR(1) DEFAULT ' ' NOT NULL,
FPLANCOMPLETE CHAR(1) DEFAULT ' ' NOT NULL,
FISCHANGE CHAR(1) DEFAULT ' ' NOT NULL,
FWORKSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FROSTERSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FROSTERTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,

FHOLIDAYID VARCHAR(100) DEFAULT ' ' NOT NULL,

FISWSSYNC CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


/*IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_TRIMDOUBLEROLE')
 CREATE TABLE T_WTS_TRIMDOUBLEROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_TRIMPLANROLE') 
 CREATE TABLE T_WTS_TRIMPLANROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_TRIMSELFROLE') 
 CREATE TABLE T_WTS_TRIMSELFROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTS_TRIMSINGLEROLE') 
 CREATE TABLE T_WTS_TRIMSINGLEROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);*/



/**End D:\PDM\PDM_UPGRADE\pdm1\WTS_table.sql **/
